#
# spec file for package rubygem-fastercsv
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
Name:           rubygem-fastercsv
Version:        1.5.4
Release:        1.1
%define mod_name fastercsv
%define mod_full_name %{mod_name}-%{version}
#
Group:          Development/Languages/Ruby
License:        GPLv2
#
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  rubygems_with_buildroot_patch
Provides:       rubygem-%{mod_name}-1_5 = %{version}
%rubygems_requires
#
Url:            http://fastercsv.rubyforge.org
Source:         %{mod_full_name}.gem
#
Summary:        FasterCSV is CSV, but faster, smaller, and cleaner
%description
FasterCSV is intended as a complete replacement to the CSV standard library. It
is significantly faster and smaller while still being pure Ruby code. It also
strives for a better interface.

%package doc
Summary:        RDoc documentation for %{mod_name}
Group:          Development/Languages/Ruby
Requires:       %{name} = %{version}
%description doc
Documentation generated at gem installation time.
Usually in RDoc and RI formats.

%package testsuite
Summary:        Test suite for %{mod_name}
Group:          Development/Languages/Ruby
Requires:       %{name} = %{version}
%description testsuite
Test::Unit or RSpec files, useful for developers.

%prep
%build
%install
%gem_install %{S:0}

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{_libdir}/ruby/gems/%{rb_ver}/cache/%{mod_full_name}.gem
%{_libdir}/ruby/gems/%{rb_ver}/gems/%{mod_full_name}/
%exclude %{_libdir}/ruby/gems/%{rb_ver}/gems/%{mod_full_name}/test
%{_libdir}/ruby/gems/%{rb_ver}/specifications/%{mod_full_name}.gemspec

%files doc
%defattr(-,root,root,-)
%doc %{_libdir}/ruby/gems/%{rb_ver}/doc/%{mod_full_name}/

%files testsuite
%defattr(-,root,root,-)
%{_libdir}/ruby/gems/%{rb_ver}/gems/%{mod_full_name}/test

%changelog
* Fri Oct 14 2011 fcastelli@suse.com
- Use the new spec template: splitted doc and test files into
  subpackages.
- Add 'Provides' statement: required by other gems,
* Tue Mar 29 2011 kkaempf@novell.com
- update to 1.5.4
* Fri Jun 11 2010 mrueckert@suse.de
- update to version 1.5.3
  * A bug fix from Timothy Elliott to return the new parser to its
    strict quote tolerance.
- additional changes from version 1.5.2
  * A bug fix to allow IO Exceptions to reach the calling code from
    Moses Hohman.
  * Added support for <tt>:write_headers => false</tt> to
    Table.to_csv().
- additional changes from version 1.5.1
  * A bug fix for deleting blank Table rows from Andy Hartford.
  * Added gem build instructions.
* Fri Jun 11 2010 mrueckert@suse.de
- use rubygems_requires macro
* Fri Dec 25 2009 prusnak@suse.cz
- update to 1.5.0
* Mon Nov 24 2008 mrueckert@suse.de
- update to 1.4.0
